### Signal

# WebKit2 WebInspector::open-window

#### Declaration

    gboolean
    open_window (
      WebKitWebInspector* self,
      gpointer user_data
    )

#### Description [src]

Emitted when the inspector is requested to open in a separate window. If this signal is not handled, a `GtkWindow` with the inspector will be created and shown, so you only need to handle this signal if you want to use your own window. This signal is emitted after `WebKitWebInspector::detach` to show the inspector in a separate window after being detached.

To prevent the inspector from being shown you can connect to this signal and simply return `TRUE`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Return value

Type: `gboolean`

`TRUE` to stop other handlers from being invoked for the event. `FALSE` to propagate the event further.